var eminerXHTTP=null;
var eminerXDOM=null;
var eminerContainer=null;
var eminerShowError=false;
var eminerShowWait=false;
var eminerErrCon="";
var eminerErrDisplay="下载数据失败";
var eminerWaitDisplay="正在下载数据...";
function $DE(a){return document.getElementById(a);
}function eminerAjax(h,a,d,g,c,b){eminerContainer=h;
eminerShowError=a;
eminerShowWait=d;
if(g!=""){eminerErrCon=g;
}if(c!=""){eminerErrDisplay=c;
}if(c=="x"){eminerErrDisplay="";
}if(b!=""){eminerWaitDisplay=b;
}this.keys=Array();
this.values=Array();
this.keyCount=-1;
this.sendlang="gb2312";
this.rtype="text";
if(window.ActiveXObject){try{eminerXHTTP=new ActiveXObject("Msxml2.XMLHTTP");
}catch(f){}if(eminerXHTTP==null){try{eminerXHTTP=new ActiveXObject("Microsoft.XMLHTTP");
}catch(f){}}}else{eminerXHTTP=new XMLHttpRequest();
}this.AddKeyN=function(e,i){if(this.sendlang=="utf-8"){this.AddKeyUtf8(e,i);
}else{this.AddKey(e,i);
}};
this.AddKey=function(e,i){this.keyCount++;
this.keys[this.keyCount]=e;
i=i+"";
if(i!=""){i=i.replace(/\+/g,"$#$");
}this.values[this.keyCount]=escape(i);
};
this.AddKeyUtf8=function(e,i){this.keyCount++;
this.keys[this.keyCount]=e;
i=i+"";
if(i!=""){i=i.replace(/\+/g,"$#$");
}this.values[this.keyCount]=encodeURI(i);
};
this.AddHead=function(e,i){this.rkeyCount++;
this.rkeys[this.rkeyCount]=e;
this.rvalues[this.rkeyCount]=i;
};
this.ClearSet=function(){this.keyCount=-1;
this.keys=Array();
this.values=Array();
this.rkeyCount=-1;
this.rkeys=Array();
this.rvalues=Array();
};
eminerXHTTP.onreadystatechange=function(){if(eminerXHTTP.readyState==4){if(eminerXHTTP.status==200){if(eminerXHTTP.responseText!=eminerErrCon){eminerContainer.innerHTML=eminerXHTTP.responseText;
}else{if(eminerShowError){eminerContainer.innerHTML=eminerErrDisplay;
}}eminerXHTTP=null;
}else{if(eminerShowError){eminerContainer.innerHTML=eminerErrDisplay;
}}}else{if(eminerShowWait){eminerContainer.innerHTML=eminerWaitDisplay;
}}};
this.BarrageStat=function(){if(eminerXHTTP==null){return;
}if(typeof(eminerXHTTP.status)!=undefined&&eminerXHTTP.status==200){if(eminerXHTTP.responseText!=eminerErrCon){eminerContainer.innerHTML=eminerXHTTP.responseText;
}else{if(eminerShowError){eminerContainer.innerHTML=eminerErrDisplay;
}}}};
this.SendHead=function(){if(this.rkeyCount!=-1){for(var e=0;
e<=this.rkeyCount;
e++){eminerXHTTP.setRequestHeader(this.rkeys[e],this.rvalues[e]);
}}if(this.rtype=="binary"){eminerXHTTP.setRequestHeader("Content-Type","multipart/form-data");
}else{eminerXHTTP.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
}};
this.SendPost=function(k){var j="";
var e=0;
this.state=0;
eminerXHTTP.open("POST",k,true);
this.SendHead();
if(this.keyCount!=-1){for(;
e<=this.keyCount;
e++){if(j==""){j=this.keys[e]+"="+this.values[e];
}else{j+="&"+this.keys[e]+"="+this.values[e];
}}}eminerXHTTP.send(j);
};
this.SendGet=function(k){var e="";
var j=0;
this.state=0;
if(this.keyCount!=-1){for(;
j<=this.keyCount;
j++){if(e==""){e=this.keys[j]+"="+this.values[j];
}else{e+="&"+this.keys[j]+"="+this.values[j];
}}if(k.indexOf("?")==-1){k=k+"?"+e;
}else{k=k+"&"+e;
}}eminerXHTTP.open("GET",k,true);
this.SendHead();
eminerXHTTP.send(null);
};
this.SendGet2=function(k){var e="";
var j=0;
this.state=0;
if(this.keyCount!=-1){for(;
j<=this.keyCount;
j++){if(e==""){e=this.keys[j]+"="+this.values[j];
}else{e+="&"+this.keys[j]+"="+this.values[j];
}}if(k.indexOf("?")==-1){k=k+"?"+e;
}else{k=k+"&"+e;
}}eminerXHTTP.open("GET",k,false);
this.SendHead();
eminerXHTTP.send(null);
this.BarrageStat();
};
this.SendPost2=function(k){var j="";
var e=0;
this.state=0;
eminerXHTTP.open("POST",k,false);
this.SendHead();
if(this.keyCount!=-1){for(;
e<=this.keyCount;
e++){if(j==""){j=this.keys[e]+"="+this.values[e];
}else{j+="&"+this.keys[e]+"="+this.values[e];
}}}eminerXHTTP.send(j);
this.BarrageStat();
};
}function InitXDom(){if(eminerXDOM!=null){return;
}var b=null;
if(typeof(DOMParser)!="undefined"){var c=new DOMParser();
b=c.parseFromString(xmlText,"text/xml");
}else{try{b=new ActiveXObject("MSXML2.DOMDocument");
}catch(a){}if(b==null){try{b=new ActiveXObject("Microsoft.XMLDOM");
}catch(a){}}}eminerXDOM=b;
}function GetCookie(a){if(document.cookie.length>0){c_start=document.cookie.indexOf(a+"=");
if(c_start!=-1){c_start=c_start+a.length+1;
c_end=document.cookie.indexOf(";",c_start);
if(c_end==-1){c_end=document.cookie.length;
}return unescape(document.cookie.substring(c_start,c_end));
}}return null;
}function SetCookie(b,c,a){var d=new Date();
d.setDate(d.getDate()+a);
document.cookie=b+"="+escape(c)+((a==null)?"":";expires="+d.toGMTString());
}